<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/HiddenSelectionsData.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d0b/_hidden_selections_data_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HiddenSelectionsData.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d0b/_hidden_selections_data_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d69/class_hidden_selections_data.html">HiddenSelectionsData</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#a7051cde7fc69464c943b4febe60b8448">    3</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a7051cde7fc69464c943b4febe60b8448">m_HiddenSelections</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#ac16af9fe7ea57671e8d46dd87dc97de1">    4</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#ac16af9fe7ea57671e8d46dd87dc97de1">m_HiddenSelectionsTextures</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#a379befdc21546d2e7c31b1e4eded822c">    5</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a379befdc21546d2e7c31b1e4eded822c">m_HiddenSelectionsMaterials</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#a5a427439231659ed7302ddfd02941212">    7</a></span>    ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, int&gt;</a> <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a5a427439231659ed7302ddfd02941212">m_HiddenSelectionNameToIndex</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, int&gt;</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#a567a08e866be74c234eca9fd3d7d5d9f">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d69/class_hidden_selections_data.html#a567a08e866be74c234eca9fd3d7d5d9f">HiddenSelectionsData</a>(<span class="keywordtype">string</span> type)</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7cc2a75cac35759a1bdffa796ff0aa65">ConfigGetTextArray</a>( <span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;CfgVehicles %1 hiddenSelections&quot;</span>,          type), <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a7051cde7fc69464c943b4febe60b8448">m_HiddenSelections</a> );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7cc2a75cac35759a1bdffa796ff0aa65">ConfigGetTextArray</a>( <span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;CfgVehicles %1 hiddenSelectionsTextures&quot;</span>,  type), <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#ac16af9fe7ea57671e8d46dd87dc97de1">m_HiddenSelectionsTextures</a> );</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7cc2a75cac35759a1bdffa796ff0aa65">ConfigGetTextArray</a>( <span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;CfgVehicles %1 hiddenSelectionsMaterials&quot;</span>, type), <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a379befdc21546d2e7c31b1e4eded822c">m_HiddenSelectionsMaterials</a> );</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a7051cde7fc69464c943b4febe60b8448">m_HiddenSelections</a>.Count(); ++i)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a5a427439231659ed7302ddfd02941212">m_HiddenSelectionNameToIndex</a>.Insert(<a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a7051cde7fc69464c943b4febe60b8448">m_HiddenSelections</a>[i], i);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#ab90a5df0813479b4fd96b6be2548ff11">   19</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d69/class_hidden_selections_data.html#ab90a5df0813479b4fd96b6be2548ff11">GetHiddenSelectionIndex</a>(<span class="keywordtype">string</span> selection)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordtype">int</span> index;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a5a427439231659ed7302ddfd02941212">m_HiddenSelectionNameToIndex</a>.Find(selection, index))</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordflow">return</span> index;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#a0f1e3b01cc37663a9e80674355c5e146">   28</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> <a class="code hl_function" href="../../d6/d69/class_hidden_selections_data.html#a0f1e3b01cc37663a9e80674355c5e146">GetHiddenSelectionsTextures</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#ac16af9fe7ea57671e8d46dd87dc97de1">m_HiddenSelectionsTextures</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#a6c9b2c1f2f24ce2f1d02f75f2135d9d1">   33</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> <a class="code hl_function" href="../../d6/d69/class_hidden_selections_data.html#a6c9b2c1f2f24ce2f1d02f75f2135d9d1">GetHiddenSelectionsMaterials</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d69/class_hidden_selections_data.html#a379befdc21546d2e7c31b1e4eded822c">m_HiddenSelectionsMaterials</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#ac6b7c8676fdb24c9c4192841f0b97586">   38</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_function" href="../../d6/d69/class_hidden_selections_data.html#ac6b7c8676fdb24c9c4192841f0b97586">GetHiddenSelectionsConfig</a>(<span class="keywordtype">string</span> type)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> hiddenSelections = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7cc2a75cac35759a1bdffa796ff0aa65">ConfigGetTextArray</a>( <span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;CfgVehicles %1 hiddenSelections&quot;</span>, type), hiddenSelections );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> hiddenSelections;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#a7cdef3f0c22ebba535fb11f806e08855">   45</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_function" href="../../d6/d69/class_hidden_selections_data.html#a7cdef3f0c22ebba535fb11f806e08855">GetHiddenSelectionsTexturesConfig</a>(<span class="keywordtype">string</span> type)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> hiddenSelectionsTextures = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7cc2a75cac35759a1bdffa796ff0aa65">ConfigGetTextArray</a>( <span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;CfgVehicles %1 hiddenSelectionsTextures&quot;</span>, type), hiddenSelectionsTextures );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">return</span> hiddenSelectionsTextures;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d6/d69/class_hidden_selections_data.html#a98a77b756730e0d1d241a9f847cd28de">   52</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_function" href="../../d6/d69/class_hidden_selections_data.html#a98a77b756730e0d1d241a9f847cd28de">GetHiddenSelectionsMaterialsConfig</a>(<span class="keywordtype">string</span> type)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> hiddenSelectionsMaterials = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7cc2a75cac35759a1bdffa796ff0aa65">ConfigGetTextArray</a>( <span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;CfgVehicles %1 hiddenSelectionsMaterials&quot;</span>, type), hiddenSelectionsMaterials );</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">return</span> hiddenSelectionsMaterials;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>}</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="aclass_c_game_html_a7cc2a75cac35759a1bdffa796ff0aa65"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a7cc2a75cac35759a1bdffa796ff0aa65">CGame::ConfigGetTextArray</a></div><div class="ttdeci">proto native void ConfigGetTextArray(string path, out TStringArray values)</div><div class="ttdoc">Get array of strings from config on path.</div></div>
<div class="ttc" id="aclass_hidden_selections_data_html"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html">HiddenSelectionsData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00001">HiddenSelectionsData.c:2</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_a0f1e3b01cc37663a9e80674355c5e146"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#a0f1e3b01cc37663a9e80674355c5e146">HiddenSelectionsData::GetHiddenSelectionsTextures</a></div><div class="ttdeci">TStringArray GetHiddenSelectionsTextures()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00028">HiddenSelectionsData.c:28</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_a379befdc21546d2e7c31b1e4eded822c"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#a379befdc21546d2e7c31b1e4eded822c">HiddenSelectionsData::m_HiddenSelectionsMaterials</a></div><div class="ttdeci">ref array&lt; string &gt; m_HiddenSelectionsMaterials</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00005">HiddenSelectionsData.c:5</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_a567a08e866be74c234eca9fd3d7d5d9f"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#a567a08e866be74c234eca9fd3d7d5d9f">HiddenSelectionsData::HiddenSelectionsData</a></div><div class="ttdeci">void HiddenSelectionsData(string type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00009">HiddenSelectionsData.c:9</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_a5a427439231659ed7302ddfd02941212"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#a5a427439231659ed7302ddfd02941212">HiddenSelectionsData::m_HiddenSelectionNameToIndex</a></div><div class="ttdeci">ref map&lt; string, int &gt; m_HiddenSelectionNameToIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00007">HiddenSelectionsData.c:7</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_a6c9b2c1f2f24ce2f1d02f75f2135d9d1"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#a6c9b2c1f2f24ce2f1d02f75f2135d9d1">HiddenSelectionsData::GetHiddenSelectionsMaterials</a></div><div class="ttdeci">TStringArray GetHiddenSelectionsMaterials()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00033">HiddenSelectionsData.c:33</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_a7051cde7fc69464c943b4febe60b8448"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#a7051cde7fc69464c943b4febe60b8448">HiddenSelectionsData::m_HiddenSelections</a></div><div class="ttdeci">ref array&lt; string &gt; m_HiddenSelections</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00003">HiddenSelectionsData.c:3</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_a7cdef3f0c22ebba535fb11f806e08855"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#a7cdef3f0c22ebba535fb11f806e08855">HiddenSelectionsData::GetHiddenSelectionsTexturesConfig</a></div><div class="ttdeci">static array&lt; string &gt; GetHiddenSelectionsTexturesConfig(string type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00045">HiddenSelectionsData.c:45</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_a98a77b756730e0d1d241a9f847cd28de"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#a98a77b756730e0d1d241a9f847cd28de">HiddenSelectionsData::GetHiddenSelectionsMaterialsConfig</a></div><div class="ttdeci">static array&lt; string &gt; GetHiddenSelectionsMaterialsConfig(string type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00052">HiddenSelectionsData.c:52</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_ab90a5df0813479b4fd96b6be2548ff11"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#ab90a5df0813479b4fd96b6be2548ff11">HiddenSelectionsData::GetHiddenSelectionIndex</a></div><div class="ttdeci">int GetHiddenSelectionIndex(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00019">HiddenSelectionsData.c:19</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_ac16af9fe7ea57671e8d46dd87dc97de1"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#ac16af9fe7ea57671e8d46dd87dc97de1">HiddenSelectionsData::m_HiddenSelectionsTextures</a></div><div class="ttdeci">ref array&lt; string &gt; m_HiddenSelectionsTextures</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00004">HiddenSelectionsData.c:4</a></div></div>
<div class="ttc" id="aclass_hidden_selections_data_html_ac6b7c8676fdb24c9c4192841f0b97586"><div class="ttname"><a href="../../d6/d69/class_hidden_selections_data.html#ac6b7c8676fdb24c9c4192841f0b97586">HiddenSelectionsData::GetHiddenSelectionsConfig</a></div><div class="ttdeci">static array&lt; string &gt; GetHiddenSelectionsConfig(string type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0b/_hidden_selections_data_8c_source.html#l00038">HiddenSelectionsData.c:38</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../d4/d0b/_hidden_selections_data_8c.html">HiddenSelectionsData.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
